> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# List invoice credit memos

GET https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/invoices/{invoiceId}/credit-memos

Reference: https://docs.tabs.com/api-reference/customers/getCreditMemosByInvoice

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers/{id}/invoices/{invoiceId}/credit-memos:
    get:
      operationId: integrators-api-customers-controller-get-credit-memos-by-invoice
      summary: List invoice credit memos
      tags:
        - customers
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: string
            format: uuid
        - name: invoiceId
          in: path
          description: Invoice ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Credit memos retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_getCreditMemosByInvoice_Response_200
        '404':
          description: Credit memos for invoice not found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal server error - Failed to get credit memo by invoice
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    CreditMemoCustomerDto:
      type: object
      properties:
        id:
          type: string
          description: Customer ID
        name:
          type: string
          description: Customer name
        nameWithPrefix:
          type: string
          description: Customer name with prefix
      required:
        - id
        - name
      title: CreditMemoCustomerDto
    CreditMemoItemDto:
      type: object
      properties:
        id:
          type: string
          description: Item ID
        name:
          type: string
          description: Item name
        externalId:
          type: string
          description: External ID
      required:
        - id
        - name
      title: CreditMemoItemDto
    CreditMemoErpClassDto:
      type: object
      properties:
        id:
          type: string
          description: ERP Class ID
        name:
          type: string
          description: ERP Class name
      required:
        - id
        - name
      title: CreditMemoErpClassDto
    CreditMemoLineItemDto:
      type: object
      properties:
        id:
          type: string
          description: Line item ID
        name:
          type: string
          description: Line item name
        note:
          type: string
          description: Line item note
        quantity:
          type: number
          format: double
          description: Quantity
        amount:
          type: number
          format: double
          description: Amount
        salesTaxAmount:
          type: number
          format: double
          description: Sales tax amount
        item:
          $ref: '#/components/schemas/CreditMemoItemDto'
          description: Item details
        erpClass:
          $ref: '#/components/schemas/CreditMemoErpClassDto'
          description: ERP Class details
        contraRevenueScheduleId:
          type: string
          description: Contra revenue schedule ID
      required:
        - id
        - name
        - quantity
        - amount
        - salesTaxAmount
        - contraRevenueScheduleId
      title: CreditMemoLineItemDto
    CreditMemoApplicationDto:
      type: object
      properties:
        id:
          type: string
          description: Application ID
        creditMemoId:
          type: string
          description: Credit memo ID
        invoiceId:
          type: string
          description: Invoice ID
        amountApplied:
          type: number
          format: double
          description: Amount applied
        invoiceNumber:
          type: string
          description: Invoice number
        invoicePrefix:
          type: string
          description: Invoice prefix
        appliedAt:
          type: string
          format: date-time
          description: Applied at
      required:
        - id
        - creditMemoId
        - invoiceId
        - amountApplied
        - invoiceNumber
        - invoicePrefix
        - appliedAt
      title: CreditMemoApplicationDto
    CreditMemoExternalIdDto:
      type: object
      properties:
        externalId:
          type: string
          description: External ID
        sourceType:
          type: string
          description: Source type
      required:
        - externalId
        - sourceType
      title: CreditMemoExternalIdDto
    CreditMemoDto:
      type: object
      properties:
        creditMemoId:
          type: string
          description: Credit memo ID
        creditMemoNumber:
          type: string
          description: Credit memo number
        creditMemoPrefix:
          type: string
          description: Credit memo prefix
        customerId:
          type: string
          description: Customer ID
        manufacturerId:
          type: string
          description: Manufacturer ID
        issueDate:
          type: string
          format: date-time
          description: Issue date
        total:
          type: number
          format: double
          description: Total amount
        memo:
          type: string
          description: Memo
        reason:
          type: string
          description: Reason
        status:
          type: string
          description: Status
        customer:
          $ref: '#/components/schemas/CreditMemoCustomerDto'
          description: Customer information
        items:
          type: array
          items:
            $ref: '#/components/schemas/CreditMemoLineItemDto'
          description: Line items
        applications:
          type: array
          items:
            $ref: '#/components/schemas/CreditMemoApplicationDto'
          description: Applications
        externalIds:
          type: array
          items:
            $ref: '#/components/schemas/CreditMemoExternalIdDto'
          description: External IDs
        createdAt:
          type: string
          format: date-time
          description: Created at
        lastUpdatedAt:
          type: string
          format: date-time
          description: Last updated at
        syncStatus:
          type: string
          description: Sync status
      required:
        - creditMemoId
        - creditMemoNumber
        - creditMemoPrefix
        - customerId
        - manufacturerId
        - issueDate
        - total
        - status
        - customer
        - items
        - applications
        - externalIds
        - createdAt
        - lastUpdatedAt
        - syncStatus
      title: CreditMemoDto
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Customers_IntegratorsApiCustomersController_getCreditMemosByInvoice_Response_200:
      type: object
      properties:
        payload:
          type: array
          items:
            $ref: '#/components/schemas/CreditMemoDto'
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: >-
        Customers_IntegratorsApiCustomersController_getCreditMemosByInvoice_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Response**

```json
{
  "payload": [
    {
      "creditMemoId": "123e4567-e89b-12d3-a456-426614174000",
      "creditMemoNumber": "CM-001",
      "creditMemoPrefix": "CM",
      "customerId": "123e4567-e89b-12d3-a456-426614174000",
      "manufacturerId": "123e4567-e89b-12d3-a456-426614174000",
      "issueDate": "2023-01-01T00:00:00.000Z",
      "total": 100,
      "status": "OPEN",
      "customer": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Acme Corp",
        "nameWithPrefix": "CUST-001 Acme Corp"
      },
      "items": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "Product A",
          "quantity": 1,
          "amount": 100,
          "salesTaxAmount": 8.25,
          "contraRevenueScheduleId": "123e4567-e89b-12d3-a456-426614174000",
          "note": "Credit for defective product",
          "item": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Product A",
            "externalId": "EXT-123"
          },
          "erpClass": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Revenue"
          }
        }
      ],
      "applications": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "creditMemoId": "123e4567-e89b-12d3-a456-426614174000",
          "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
          "amountApplied": 100,
          "invoiceNumber": "INV-001",
          "invoicePrefix": "INV",
          "appliedAt": "2023-01-01T00:00:00.000Z"
        }
      ],
      "externalIds": [
        {
          "externalId": "EXT-123",
          "sourceType": "NETSUITE"
        }
      ],
      "createdAt": "2023-01-01T00:00:00.000Z",
      "lastUpdatedAt": "2023-01-01T00:00:00.000Z",
      "syncStatus": "NOT_SYNCED",
      "memo": "Credit for defective product",
      "reason": "Product defect"
    }
  ],
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/id/invoices/invoiceId/credit-memos")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```